be.ehealth.businessconnector.genericasync.service

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.service.impl.GenAsyncServiceImpl
  - - be.ehealth.businessconnector.genericasync.service.ServiceFactory

- All Implemented Interfaces:
    GenAsyncService, ConfigurationModuleBootstrap.ModuleBootstrapHook, ConfigurableImplementation

      public final class ServiceFactory
      extends GenAsyncServiceImpl

  A factory for creating `GenAsyncService`.

- - ### Field Summary

    - ### Fields inherited from class be.ehealth.businessconnector.genericasync.service.impl.GenAsyncServiceImpl

      `GENASYNC_XSD_V1, GENASYNC_XSD_V1_3, SERVICE_NAME, SESSION_VALIDATOR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenAsyncService` | `getGenAsyncService(Map<String,Object> paramMap)`
    `static GenAsyncService` | `getGenAsyncService(String serviceName, SessionValidator sessionValidator)`
    `static GenericRequest` | `getService(SAMLToken token, String serviceName)` Deprecated.

    - ### Methods inherited from class be.ehealth.businessconnector.genericasync.service.impl.GenAsyncServiceImpl

      `bootstrap, confirmRequest, getRequest, initialize, postRequest`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getGenAsyncService

          public static GenAsyncService getGenAsyncService(String serviceName,
                                                           SessionValidator sessionValidator)
                                                    throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getGenAsyncService

          public static GenAsyncService getGenAsyncService(Map<String,Object> paramMap)
                                                    throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### getService

          @Deprecated
          public static GenericRequest getService(SAMLToken token,
                                                               String serviceName)
                                                        throws TechnicalConnectorException

      Deprecated.
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSAUDIOLOGIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.